<?php
	/* ^C][ݒ */
	date_default_timezone_set('Asia/Tokyo');

	/* JnOo */
	list($micro, $Unixtime) = explode(" ", microtime());
	$sec = $micro + date("s", $Unixtime);
	echo "Jn " . date("md g:i:", $Unixtime).$sec."\n";

	/* ExcelubNI[v */
	$book = AXLS_open_book();
	if ($book == NULL){
		echo "ERROR: AXLS_open_book()\n";
		die();
	}

	/* ubNw */
	$book_path = "PHPX-TRAiNTv";

	$argument = "BOOK=" . $book_path . " SHEET=SAMPLE";
	$rtn = AXLS_put_values($book, $argument);
	if ($rtn != 0 ){
		$mesg = AXLS_error_mesg($book);
		echo "AXLS_put_values() rtn=", $rtn, " message=", $mesg, " argument=" . $argument . "\n";
		AXLS_scrap_book($book);
		die();
	}

	/* 񕝐ݒ */
	$argument = "B.=20 C.=20 D.=20 E.=20";
	$rtn = AXLS_put_values($book, $argument);
	if ($rtn != 0 ){
		$mesg = AXLS_error_mesg($book);
		echo "AXLS_put_values() rtn=", $rtn, " message=", $mesg, " argument=" . $argument . "\n";
		AXLS_scrap_book($book);
		die();
	}

	$now_date = date("Y/m/d");
	$line_ct = 0;
	$max_row = 1000;

	/* sJԂ */
	for ($row=1; $row<=$max_row; $row++){

		#
		# A`EɐlAAtݒ
		#
		$cell1 = AXLS_cell_name($row, 1);
		$cell2 = AXLS_cell_name($row, 2);
		$cell3 = AXLS_cell_name($row, 3);
		$cell4 = AXLS_cell_name($row, 4);
		$cell5 = AXLS_cell_name($row, 5);
		$line_ct++;

		$argument = $cell1 . "=" . $row . " " . $cell2 . "={ꕶ" . $row . " " . $cell2 . ".tHg.F= " . $cell3 . "=" . $now_date . " " . $cell3 . ".=a " . $cell4 . "=ABCDEFG " . $cell4 . ".tHg.=\"Arial Black\" " . $cell5 . "=12345 " . $cell5 . ".=";

		$rtn = AXLS_put_values($book, $argument);
		if ($rtn != 0 ){
			$mesg = AXLS_error_mesg($book);
			echo "AXLS_put_values() rtn=", $rtn, " message=", $mesg, " argument=" . $argument . "\n";
			AXLS_scrap_book($book);
			die();
		}

		/* shԂ */
		if ($line_ct % 2 == 0){

			$range = AXLS_cell_range($row, 1, $row, 5);
			$argument = $range . ".hԂ.F=#CCCCCC";

			$rtn = AXLS_put_values($book, $argument);
			if ($rtn != 0 ){
				$mesg = AXLS_error_mesg($book);
				echo "AXLS_put_values() rtn=", $rtn, " message=", $mesg, " argument=" . $argument . "\n";
				AXLS_scrap_book($book);
				die();
			}
		}
	}

	/* \ŜɌrt*/
	$range = AXLS_cell_range(1, 1, $max_row, 5);
	$argument = $range . ".r=";

	$rtn = AXLS_put_values($book, $argument);
	if ($rtn != 0 ){
		$mesg = AXLS_error_mesg($book);
		echo "AXLS_put_values() rtn=", $rtn, " message=", $mesg, " argument=" . $argument . "\n";
		AXLS_scrap_book($book);
		die();
	}

	/* ExcelubNۑ */
	$rtn= AXLS_save_book($book);
	if ($rtn != 0 ){
		$mesg = AXLS_error_mesg($book);
		echo "AXLS_save_book() rtn=", $rtn, " message=", $mesg, "\n";
		die();
	}

	/* IOo */
	list($micro, $Unixtime) = explode(" ", microtime());
	$sec = $micro + date("s", $Unixtime);
	echo "I " . date("md g:i:", $Unixtime).$sec."\n";
	print("memory_get_peak_usage: ".memory_get_peak_usage()/1024 . "k\n");

?>
